GDCM: gdcm::EmptyMaskGenerator Class Reference

GDCM 3.2.10

Public Types | Public Member Functions | List of all members
gdcm::EmptyMaskGenerator Class Reference

EmptyMaskGenerator Main class to generate a Empty Mask Series from an input Series. This class takes an input folder and generates a series of DICOM files in the specified output directory. This class handles multiples DICOM Series within the same input directory. More...

`#include <gdcmEmptyMaskGenerator.h>`

## Public Types
enum | SOPClassUIDMode { UseOriginalSOPClassUID = 0 , UseGrayscaleSecondaryImageStorage }

## Public Member Functions
| EmptyMaskGenerator ()
| ~EmptyMaskGenerator ()
bool | Execute ()
| Main loop.
void | SetInputDirectory (const char *dirname)
| Specify input directory.
void | SetOutputDirectory (const char *dirname)
| Specify output directory.
void | SetSOPClassUIDMode (SOPClassUIDMode mode)

## Detailed Description

EmptyMaskGenerator Main class to generate a Empty Mask Series from an input Series. This class takes an input folder and generates a series of DICOM files in the specified output directory. This class handles multiples DICOM Series within the same input directory.

The class allow two mode of operations:

- UseOriginalSOPClassUID
- UseGrayscaleSecondaryImageStorage

UseOriginalSOPClassUID is the mode where original attributes are copied from the original DICOM instance.

UseGrayscaleSecondaryImageStorage is the mode where attributes are generated so as to create a MultiframeGrayscaleByteSecondaryCaptureImageStorage (MultiframeGrayscaleWordSecondaryCaptureImageStorage) instance.

In both mode:

- the Study references (StudyInstanceUID and StudyID) are preserved.
- the PatientID reference is preserved.
- the Image Type attribute will be setup so that the fourth element is set to 'MASK'.
- a new Series Instance UID is generated. It is thus required to run the process over all files using the same input Series Instance UID so that a proper mapping from the old Series UID is done to the new one. Since a new Series Instance UID is generated, there is no sense to preserve the original Frame of Reference UID, although it would have made sense here.

Examples
  EmptyMask.cxx.

## Member Enumeration Documentation

## ◆ SOPClassUIDMode

enum gdcm::EmptyMaskGenerator::SOPClassUIDMode

Enumerator
UseOriginalSOPClassUID |
UseGrayscaleSecondaryImageStorage |

## Constructor & Destructor Documentation

## ◆ EmptyMaskGenerator()

gdcm::EmptyMaskGenerator::EmptyMaskGenerator | ( |  | ) |

## ◆ ~EmptyMaskGenerator()

gdcm::EmptyMaskGenerator::~EmptyMaskGenerator | ( |  | ) |

## Member Function Documentation

## ◆ Execute()

bool gdcm::EmptyMaskGenerator::Execute | ( |  | ) |

Main loop.

Examples
  EmptyMask.cxx.

## ◆ SetInputDirectory()

void gdcm::EmptyMaskGenerator::SetInputDirectory | ( | const char * | dirname | ) |

Specify input directory.

Examples
  EmptyMask.cxx.

## ◆ SetOutputDirectory()

void gdcm::EmptyMaskGenerator::SetOutputDirectory | ( | const char * | dirname | ) |

Specify output directory.

Examples
  EmptyMask.cxx.

## ◆ SetSOPClassUIDMode()

void gdcm::EmptyMaskGenerator::SetSOPClassUIDMode | ( | SOPClassUIDMode | mode | ) |

Select generation of SOP Class UID method: Default is UseOriginalSOPClassUID

Examples
  EmptyMask.cxx.

The documentation for this class was generated from the following file:

- gdcmEmptyMaskGenerator.h